﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace GridErrorInfiniteLoop2
{
    public partial class UserControl2 : UserControl
    {
        public UserControl2()
        {
            InitializeComponent();
            ultraGrid1.CellDataError += new Infragistics.Win.UltraWinGrid.CellDataErrorEventHandler(ultraGrid1_CellDataError);
            ultraGrid1.Error += new Infragistics.Win.UltraWinGrid.ErrorEventHandler(ultraGrid1_Error);
        }

        void ultraGrid1_Error(object sender, Infragistics.Win.UltraWinGrid.ErrorEventArgs e)
        {
            
        }

        void ultraGrid1_CellDataError(object sender, Infragistics.Win.UltraWinGrid.CellDataErrorEventArgs e)
        {
            e.RaiseErrorEvent = false;
        }

        public void FillGrid()
        {
            DataSet ds = new DataSet();
            DataTable dt = new DataTable();

            dt.Columns.Add("field_string", typeof(string));
            dt.Columns.Add("field_int", typeof(int));

            dt.Constraints.Add(new UniqueConstraint(dt.Columns["field_string"]));

            DataRow dr = dt.NewRow();
            dr["field_int"] = 1;
            dt.Rows.Add(dr);

            ds.Tables.Add(dt);

            ultraGrid1.SetDataBinding(ds, "");
        }
    }
}
